package tech.riemann.ims.service.material;

import tech.riemann.ims.dto.response.ManualStockDTO;
import tech.riemann.ims.entity.material.MaterialStockDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import org.nutz.spring.boot.service.interfaces.IdNameEntityService;

import java.util.List;

/**
 * <p>
 * 物料明细数据表 服务类
 * </p>
 *
 * @author mayong)
 *
 * @since 2024-12-06 10:32:29
 */
public interface IMaterialStockDetailService extends IService<MaterialStockDetail>, IdNameEntityService<MaterialStockDetail> {

    List<ManualStockDTO> getByApplyId(Long applyId);
}
