package tech.riemann.ims.service.material.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.RequiredArgsConstructor;
import org.nutz.dao.Dao;
import org.springframework.stereotype.Service;
import tech.riemann.ims.entity.material.Material;
import tech.riemann.ims.mapper.material.MaterialMapper;
import tech.riemann.ims.service.material.IMaterialService;

import java.util.List;

/**
 * @author mayong
 * @since 2024/11/27 15:41
 */
@Service
@RequiredArgsConstructor
public class MaterialServiceImpl extends ServiceImpl<MaterialMapper, Material> implements IMaterialService {
    private final Dao dao;

    @Override
    public Dao dao() {
        return dao;
    }

    @Override
    public List<Material> queryLikeRight(List<String> types) {
        return baseMapper.queryLikeRight(types);
    }
}
